VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "APIIniFile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'***************************************************************
'* API-based ini file read/write class; source unknown         *
'***************************************************************

Option Explicit

Private Declare Function GetPrivateProfileString Lib "kernel32" Alias _
"GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal _
lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As _
String, ByVal nSize As Long, ByVal lpFileName As String) As Long

Private Declare Function WritePrivateProfileString Lib "kernel32" Alias _
"WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal _
lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long

Friend Function WriteTo(iniFileName As String, ByVal sSection As String, ByVal sItem As String, sText As String) As Boolean

'***************************************************************
'* write to an .ini file for a given section                   *
'* Args:    iniFileName - name of file to write to             *
'*          sSection - section heading name (don't include []) *
'*          sItem - item heading name (item before the =)      *
'*          sText - text to write to the ini file              *
'* Returns: True/False                                         *
'***************************************************************

   Dim i As Integer
   On Error GoTo sWriteToError

   i = WritePrivateProfileString(sSection, sItem, sText, iniFileName)
   WriteTo = True

   Exit Function

sWriteToError:
   WriteTo = False

End Function

Friend Function ReadFrom(iniFileName As String, ByVal sSection As String, ByVal sItem As String, Optional ByVal sDefault As String = "") As String
    
'***************************************************************
'* read an .ini file for a given section                       *
'* Args: iniFileName - name of file to read from               *
'*       sSection - section heading name (don't include [])    *
'*       sItem - The item heading (the item before the =)      *
'*       sDefault - If the item, section, or the file doesn't  *
'*                  exist, then this will be returned.         *
'* Returns:   the value of sItem, or sDefault if not found     *
'***************************************************************

   Dim iRetAmount As Integer   'the amount of characters returned
   Dim sTemp As String

   sTemp = String$(500, 0) 'fill with nulls
   iRetAmount = GetPrivateProfileString(sSection, sItem, sDefault, sTemp, Len(sTemp), iniFileName)
   sTemp = Left$(sTemp, iRetAmount)
   ReadFrom = sTemp

End Function
